//
//  LoginStore.swift
//  Chat
//
//  Created by Sergey Tarasov on 25.07.2022.
//

import Foundation
import XMPPFramework
import XMPPFrameworkSwift

final class LoginStore: ObservableObject {
	let handler: (String, String) -> Void

	init(handler: @escaping (String, String) -> Void = { _, _ in }) {
		self.handler = handler
	}

	@Published var login: String = "test11@msg.sharix-app.org"
	@Published var password: String = "test11_-"

	func submit() {
		handler(login, password)
	}
}
